package com.chenyang.nse.bussiness.performance_monitor.entity;

import java.util.List;

public class PerformanceMonitorRecord {
   PerformanceMonitorBase base;
   List<PerformanceMonitorProcess> processes;

   public PerformanceMonitorBase getBase() {
      return this.base;
   }

   public List<PerformanceMonitorProcess> getProcesses() {
      return this.processes;
   }

   public void setBase(final PerformanceMonitorBase base) {
      this.base = base;
   }

   public void setProcesses(final List<PerformanceMonitorProcess> processes) {
      this.processes = processes;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorRecord)) {
         return false;
      } else {
         PerformanceMonitorRecord other = (PerformanceMonitorRecord)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$base = this.getBase();
            Object other$base = other.getBase();
            if (this$base == null) {
               if (other$base != null) {
                  return false;
               }
            } else if (!this$base.equals(other$base)) {
               return false;
            }

            Object this$processes = this.getProcesses();
            Object other$processes = other.getProcesses();
            if (this$processes == null) {
               if (other$processes != null) {
                  return false;
               }
            } else if (!this$processes.equals(other$processes)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorRecord;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $base = this.getBase();
      result = result * 59 + ($base == null ? 43 : $base.hashCode());
      Object $processes = this.getProcesses();
      result = result * 59 + ($processes == null ? 43 : $processes.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceMonitorRecord(base=" + this.getBase() + ", processes=" + this.getProcesses() + ")";
   }
}
